#ifndef MSP_GRAPHICS_JPEGLOADER_H_
#define MSP_GRAPHICS_JPEGLOADER_H_

#include <msp/graphics/imageloader.h>

namespace Msp {
namespace Graphics {

class JpegLoader: public ImageLoader
{
private:
	struct Private;

	Private *priv;

public:
	JpegLoader(IO::Seekable &);
	virtual ~JpegLoader();

	static unsigned get_signature_size() { return 3; }
	static bool detect(const std::string &);

	virtual void load(Image::Data &);
};

} // namespace Graphics
} // namespace Msp

#endif
